Package io.vertx.ext.auth.mongo

## Class MongoAuthenticationOptions

- java.lang.Object
- - io.vertx.ext.auth.mongo.MongoAuthenticationOptions

-     public class MongoAuthenticationOptions
      extends Object

  Options configuring Mongo authentication.
  Author:
    francoisprunier

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MongoAuthenticationOptions()` |
    `MongoAuthenticationOptions​(JsonObject json)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getCollectionName()` |
    `String` | `getPasswordCredentialField()` |
    `String` | `getPasswordField()` |
    `String` | `getUsernameCredentialField()` |
    `String` | `getUsernameField()` |
    `MongoAuthenticationOptions` | `setCollectionName​(String collectionName)` | The property name to be used to set the name of the collection inside the config.
    `MongoAuthenticationOptions` | `setPasswordCredentialField​(String passwordCredentialField)` |
    `MongoAuthenticationOptions` | `setPasswordField​(String passwordField)` | The property name to be used to set the name of the field, where the password is stored inside
    `MongoAuthenticationOptions` | `setUsernameCredentialField​(String usernameCredentialField)` | The property name to be used to set the name of the field, where the username for the credentials is stored inside.
    `MongoAuthenticationOptions` | `setUsernameField​(String usernameField)` | The property name to be used to set the name of the field, where the username is stored inside.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MongoAuthenticationOptions

          public MongoAuthenticationOptions()

    - #### MongoAuthenticationOptions

          public MongoAuthenticationOptions​(JsonObject json)

  - ### Method Detail

    - #### getCollectionName

          public String getCollectionName()

    - #### setCollectionName

          public MongoAuthenticationOptions setCollectionName​(String collectionName)

      The property name to be used to set the name of the collection inside the config.
      Parameters:
        `collectionName` - the collection name
      Returns:
        a reference to this, so the API can be used fluently

    - #### getUsernameField

          public String getUsernameField()

    - #### setUsernameField

          public MongoAuthenticationOptions setUsernameField​(String usernameField)

      The property name to be used to set the name of the field, where the username is stored inside.
      Parameters:
        `usernameField` - the username field
      Returns:
        a reference to this, so the API can be used fluently

    - #### getPasswordField

          public String getPasswordField()

    - #### setPasswordField

          public MongoAuthenticationOptions setPasswordField​(String passwordField)

      The property name to be used to set the name of the field, where the password is stored inside
      Parameters:
        `passwordField` - the password field
      Returns:
        a reference to this, so the API can be used fluently

    - #### getUsernameCredentialField

          public String getUsernameCredentialField()

    - #### setUsernameCredentialField

          public MongoAuthenticationOptions setUsernameCredentialField​(String usernameCredentialField)

      The property name to be used to set the name of the field, where the username for the credentials is stored inside.
      Parameters:
        `usernameCredentialField` - the username credential field
      Returns:
        a reference to this, so the API can be used fluently

    - #### getPasswordCredentialField

          public String getPasswordCredentialField()

    - #### setPasswordCredentialField

          public MongoAuthenticationOptions setPasswordCredentialField​(String passwordCredentialField)